Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class HyperbolicSecantGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.HyperbolicSecantGen

    public class HyperbolicSecantGen

extends RandomVariateGen

This class implements random variate generators for the hyperbolic secant distribution with location parameter μ and scale parameter σ. The density function of this distribution is

f (x) = 1/(2σ) sech(π/2(x - μ)/σ), - ∞ < x < ∞.

Constructor Summary
`HyperbolicSecantGen(RandomStream s)` Creates a hyperbolic secant random variate generator with parameters μ = 0 and σ = 1, using stream `s`.
`HyperbolicSecantGen(RandomStream s, double mu, double sigma)` Creates a hyperbolic secant random variate generator with parameters μ = `mu` and σ = `sigma`, using stream `s`.
`HyperbolicSecantGen(RandomStream s, HyperbolicSecantDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getMu()` Returns the parameter μ of this object.
`double` | `getSigma()` Returns the parameter σ of this object.
`static double` | `nextDouble(RandomStream s, double mu, double sigma)` Generates a variate from the hyperbolic secant distribution with location parameter μ and scale parameter σ.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HyperbolicSecantGen

    public HyperbolicSecantGen(RandomStream s,
                               double mu,
                               double sigma)

  Creates a hyperbolic secant random variate generator with parameters μ = `mu` and σ = `sigma`, using stream `s`.

### HyperbolicSecantGen

    public HyperbolicSecantGen(RandomStream s)

  Creates a hyperbolic secant random variate generator with parameters μ = 0 and σ = 1, using stream `s`.

### HyperbolicSecantGen

    public HyperbolicSecantGen(RandomStream s,
                               HyperbolicSecantDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double mu,
                                    double sigma)

  Generates a variate from the hyperbolic secant distribution with location parameter μ and scale parameter σ.

### getMu

    public double getMu()

  Returns the parameter μ of this object.

### getSigma

    public double getSigma()

  Returns the parameter σ of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.